%define		realname	libjpeg
Summary:	Library for handling different jpeg files - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka do manipulacji plikami w formacie jpeg - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	9f
Release:	1
License:	distributable
Group:		Development/Libraries
Source0:	http://www.ijg.org/files/jpegsrc.v%{version}.tar.gz
# Source0-md5:	9ca58d68febb0fa9c1c087045b9a5483
Patch0:		%{realname}-maxmem-sysconf.patch
URL:		http://www.ijg.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	libtool
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif

# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
The libjpeg package contains a library of functions for manipulating
JPEG images.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę funkcji do manipulacji plikami jpeg.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libjpeg library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libjpeg (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libjpeg library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libjpeg (wersja skrośna MinGW32).

%package dll
Summary:	libjpeg - DLL library for Windows
Summary(pl.UTF-8):	libjpeg - biblioteka DLL dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
libjpeg - DLL library for Windows.

%description dll -l pl.UTF-8
libjpeg - biblioteka DLL dla Windows.

%prep
%setup -q -n jpeg-%{version}
%patch0 -p1

%build
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install jversion.h $RPM_BUILD_ROOT%{_includedir}

# remove HAVE_STD{DEF,LIB}_H
# (not necessary but may generate warnings confusing autoconf)
sed -i -e 's#.*HAVE_STD..._H.*##g' $RPM_BUILD_ROOT%{_includedir}/jconfig.h

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

# drop binaries
%{__rm} $RPM_BUILD_ROOT%{_bindir}/* \
	$RPM_BUILD_ROOT%{_mandir}/man1/*.1

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README change.log
%{_libdir}/libjpeg.dll.a
%{_libdir}/libjpeg.la
%{_includedir}/jconfig.h
%{_includedir}/jerror.h
%{_includedir}/jmorecfg.h
%{_includedir}/jpeglib.h
%{_includedir}/jversion.h
%{_pkgconfigdir}/libjpeg.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libjpeg.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libjpeg-9.dll
%changelog
* Sat May 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libjpeg.git;a=log;h=master

* Sat May 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 7140e05
- updated to 9f

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 79afd38
- updated to 9e

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> d9e0d7c
- updated to 9d

* Sat Apr 14 2018 Jakub Bogusz <qboosh@pld-linux.org> 2c83f50
- updated to 9c

* Thu Feb 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 5d20461
- updated to 9b

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 77a3478
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> e934179
- updated to 9a

* Thu Jan 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 6c0f9c6
- updated to 9

* Tue Jan 17 2012 Jakub Bogusz <qboosh@pld-linux.org> bc8a9ee
- updated to 8d

* Mon Jan 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 931a0cc
- updated to 8c

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> b5a53fd
- unified MinGW32 caps

* Mon May 24 2010 Jakub Bogusz <qboosh@pld-linux.org> be75587
- updated to 8b

* Sun Mar 21 2010 Jakub Bogusz <qboosh@pld-linux.org> 6df7333
- updated to 8a (merged from libjpeg.spec)

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 78b0677
- release 6

* Sun Jan 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 8a111c5
- updated shared patch, replaced one pseudo-libtool hack with another using real libtool

* Sun Jan 27 2008 Jakub Bogusz <qboosh@pld-linux.org> faf28fe
- pass -no-undefined when making shared lib

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 0455539
- force %{_lib}-independent libdir

* Wed Mar 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 763f7f0
- copy-pasto

* Wed Mar 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 9e9be21
- use _dlldir, no strip if debug

* Wed Mar 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 0599bc2
- cleanup, separated -static

